#include<bits/stdc++.h>
using namespace std;
long long chislo[100001];
long long pobit(int x,int y){
        long long pob=chislo[x]|chislo[x+1];
        for(int f=x+2;f<=y;f++){
            pob=pob|chislo[f];
        }
        return pob;
}
int main(){
int n,br=0,koef;
cin>>n>>koef;
for(int i=0;i<n;i++){
    cin>>chislo[i];
}
for(int j=0;j<n-1;j++){
    for(int h=j+1;h<n;h++){
        if(pobit(j,h)>=koef){
            br++;
        }
    }
}
cout<<br;
return 0;
}
